Regions
IONOS CLOUD object storage regions define the location of the bucket and can also be used as LocationConstraint for bucket creation. This tag groups all operations for regions.
This endpoint enables retrieving all Regions using pagination and optional filters.
The token can be generated using the Authentication API.
The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100Returned all requested Regions successfully.
Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.
ID of the list of Region resources.
1bcda4f5-f78b-532d-976d-183e3437af91The type of the resource.
The URL of the list of Region resources.
/regionsThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /regions HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "1bcda4f5-f78b-532d-976d-183e3437af91",
"type": "collection",
"href": "/regions",
"items": [
{
"id": "eu-central-3",
"type": "region",
"href": "/regions/eu-central-3",
"metadata": {},
"properties": {
"version": 1,
"endpoint": "s3.eu-central-3.ionoscloud.com",
"website": "s3-website-de-central.profitbricks.com",
"capability": {
"iam": false,
"s3select": true
},
"storageClasses": [
"standard",
"standardInfrequentAccess"
],
"location": "de/fra",
"bucketOwnership": "user-owned"
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Returns the Region by Region.
The token can be generated using the Authentication API.
The Region of the Region.
eu-central-3Getting Region was successful.
The Region of the Region.
eu-central-3The type of the resource.
The URL of the Region.
/regions/eu-central-3Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /regions/{region} HTTP/1.1
Host: s3.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "eu-central-3",
"type": "region",
"href": "/regions/eu-central-3",
"metadata": {},
"properties": {
"version": 1,
"endpoint": "s3.eu-central-3.ionoscloud.com",
"website": "s3-website-de-central.profitbricks.com",
"capability": {
"iam": false,
"s3select": true
},
"storageClasses": [
"standard",
"standardInfrequentAccess"
],
"location": "de/fra",
"bucketOwnership": "user-owned"
}
}Last updated
Was this helpful?